## org.aspectj.lang.reflect
Interface TypePatternBasedPerClause

    public interface TypePatternBasedPerClause

AspectJ runtime representation of a type pattern based per-clause associated with an aspect (pertypewithin).

Method Summary
`TypePattern` `getTypePattern()` Get the associated type pattern

Method Detail

### getTypePattern

    TypePattern getTypePattern()

  Get the associated type pattern